<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/classes/useractionscomponent/actions/singleuse/expansionactionswitchseats.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d5d/a02900_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionactionswitchseats.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d3/d5d/a02900.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionActionSwitchSeats.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../db/d86/a07466.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../db/d86/a07466.html">ExpansionActionSwitchSeats</a>: <a class="code hl_class" href="../../d4/d7b/a04698.html">ActionBase</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../db/d86/a07466.html#a065effa85f75b483f6105b357e5c2268">   15</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d86/a07466.html#a065effa85f75b483f6105b357e5c2268">ExpansionActionSwitchSeats</a>()</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="comment">//m_CommandUID = DayZPlayerConstants.CMD_ACTIONMOD_STARTENGINE;</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        m_StanceMask = DayZPlayerConstants.STANCEMASK_ALL;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        m_SpecialtyWeight = 1.0;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        m_LockTargetOnUse = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../db/d86/a07466.html#ab65fc637a3649c953d096cdbd54bd67a">   23</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d86/a07466.html#ab65fc637a3649c953d096cdbd54bd67a">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        m_ConditionItem = <span class="keyword">new</span> CCINone;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        m_ConditionTarget = <span class="keyword">new</span> CCTNone;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../db/d86/a07466.html#ae73896e70c4a84246e30d4b5c9731c24">   29</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../db/d86/a07466.html#ae73896e70c4a84246e30d4b5c9731c24">GetText</a>()</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;#change_seat&quot;</span>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../db/d86/a07466.html#af8071afe4c4345ecc4968cd228202145">   34</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d86/a07466.html#af8071afe4c4345ecc4968cd228202145">ActionCondition</a>( <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player, <a class="code hl_class" href="../../d1/de3/a04854.html">ActionTarget</a> target, <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> item )</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {   </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <a class="code hl_class" href="../../d6/dac/a07746.html">ExpansionVehicleBase</a> trans = null;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordtype">int</span> nextSeatIdx = -1;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_class" href="../../dc/ded/a04554.html">ExpansionHumanCommandVehicle</a> vehCommand = player.GetCommand_ExpansionVehicle();</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">if</span> ( !vehCommand  )</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordtype">int</span> componentIndex = target.GetComponentIndex();</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">if</span> ( !target )</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">if</span> ( !Class.CastTo(trans, target.GetObject()) )</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        nextSeatIdx = trans.CrewPositionIndex( componentIndex );</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">if</span> ( nextSeatIdx &lt; 0 )</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        Human crew = trans.CrewMember( nextSeatIdx );</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordflow">if</span> ( crew )</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">if</span> ( !trans.CanReachSeatFromSeat( trans.CrewMemberIndex( player ), nextSeatIdx ) )</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../db/d86/a07466.html#addeeb0ba7da3213d13f456d794fc51a4">   68</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d86/a07466.html#addeeb0ba7da3213d13f456d794fc51a4">Start</a>( ActionData action_data )</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        super.Start( action_data );</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <a class="code hl_class" href="../../dc/ded/a04554.html">ExpansionHumanCommandVehicle</a> vehCommand = action_data.<a class="code hl_variable" href="../../d2/df8/a04550.html#a32ed2727ab3ad60598ee5ac44ee961ed">m_Player</a>.<a class="code hl_function" href="../../df/df6/a04914.html#aa5fbc09850397f7b1bafb34ec16632fd">GetCommand_ExpansionVehicle</a>();</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordflow">if</span> ( vehCommand )</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            <a class="code hl_class" href="../../d6/dac/a07746.html">ExpansionVehicleBase</a> trans;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            <span class="keywordflow">if</span> ( Class.CastTo(trans, action_data.m_Target.GetObject()) )</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            {</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>                <span class="keywordtype">int</span> nextSeat = trans.CrewPositionIndex( action_data.m_Target.GetComponentIndex() );</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>                <span class="keywordtype">int</span> seat = trans.<a class="code hl_function" href="../../d6/dac/a07746.html#ace02afa8ba39a7e47d18431345d31681">GetSeatAnimationType</a>( nextSeat );</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>                <span class="keywordflow">if</span> ( seat &gt;= 0 )</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>                {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>                    <span class="comment">//pTransportPositionIndex, int pVehicleSeat</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>                    vehCommand.<a class="code hl_function" href="../../dc/ded/a04554.html#abe43f7937c357ef4cfc0c1ae394be5f2">SwitchSeat</a>( nextSeat, seat );</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>                    <span class="keywordflow">if</span> ( !GetGame().IsMultiplayer() || GetGame().IsClient() )</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>                    {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>                        action_data.m_Player.OnVehicleSwitchSeat( nextSeat );</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>                    }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>                }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno"><a class="line" href="../../db/d86/a07466.html#a7d7dba61d3f61b10b11471784168497f">   93</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d86/a07466.html#a7d7dba61d3f61b10b11471784168497f">OnUpdate</a>(ActionData action_data)</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <span class="keywordflow">if</span>(action_data.m_State == UA_START)</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        {</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            <a class="code hl_class" href="../../dc/ded/a04554.html">ExpansionHumanCommandVehicle</a> hcv = action_data.<a class="code hl_variable" href="../../d2/df8/a04550.html#a32ed2727ab3ad60598ee5ac44ee961ed">m_Player</a>.<a class="code hl_function" href="../../df/df6/a04914.html#aa5fbc09850397f7b1bafb34ec16632fd">GetCommand_ExpansionVehicle</a>();</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            <span class="keywordflow">if</span>( !hcv || !action_data.<a class="code hl_variable" href="../../d2/df8/a04550.html#a32ed2727ab3ad60598ee5ac44ee961ed">m_Player</a>.<a class="code hl_function" href="../../df/df6/a04914.html#aa5fbc09850397f7b1bafb34ec16632fd">GetCommand_ExpansionVehicle</a>().<a class="code hl_function" href="../../dc/ded/a04554.html#aece8e0cddda8c715f362c0f193cec5e3">IsSwitchSeat</a>() )</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            {</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>                <a class="code hl_function" href="../../da/de8/a02852.html#ad733af3bc84027d917055fc1b0d697c7">End</a>(action_data);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        }</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    }</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="../../db/d86/a07466.html#af878606c883411c01bd2acc54ee0032d">  105</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d86/a07466.html#af878606c883411c01bd2acc54ee0032d">CanBeUsedInVehicle</a>()</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    {</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    }</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>};</div>
<div class="ttc" id="aa02852_html_ad733af3bc84027d917055fc1b0d697c7"><div class="ttname"><a href="../../da/de8/a02852.html#ad733af3bc84027d917055fc1b0d697c7">End</a></div><div class="ttdeci">override void End(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00209">expansionactiongetoutexpansionvehicle.c:209</a></div></div>
<div class="ttc" id="aa03774_html"><div class="ttname"><a href="../../d7/d82/a03774.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/a00287_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03966_html"><div class="ttname"><a href="../../df/de5/a03966.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d29/a08947_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa04550_html_a32ed2727ab3ad60598ee5ac44ee961ed"><div class="ttname"><a href="../../d2/df8/a04550.html#a32ed2727ab3ad60598ee5ac44ee961ed">ExpansionHumanCommandScript::m_Player</a></div><div class="ttdeci">DayZPlayerImplement m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d88/a00962_source.html#l00015">expansionhumancommandscript.c:15</a></div></div>
<div class="ttc" id="aa04554_html"><div class="ttname"><a href="../../dc/ded/a04554.html">ExpansionHumanCommandVehicle</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dcd/a00965_source.html#l00013">expansionhumancommandvehicle.c:14</a></div></div>
<div class="ttc" id="aa04554_html_abe43f7937c357ef4cfc0c1ae394be5f2"><div class="ttname"><a href="../../dc/ded/a04554.html#abe43f7937c357ef4cfc0c1ae394be5f2">ExpansionHumanCommandVehicle::SwitchSeat</a></div><div class="ttdeci">void SwitchSeat(int seatIdx, int seatAnimType)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dcd/a00965_source.html#l00429">expansionhumancommandvehicle.c:429</a></div></div>
<div class="ttc" id="aa04554_html_aece8e0cddda8c715f362c0f193cec5e3"><div class="ttname"><a href="../../dc/ded/a04554.html#aece8e0cddda8c715f362c0f193cec5e3">ExpansionHumanCommandVehicle::IsSwitchSeat</a></div><div class="ttdeci">bool IsSwitchSeat()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dcd/a00965_source.html#l00468">expansionhumancommandvehicle.c:468</a></div></div>
<div class="ttc" id="aa04698_html"><div class="ttname"><a href="../../d4/d7b/a04698.html">ActionBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d69/a09133_source.html#l00013">actionbase.c:14</a></div></div>
<div class="ttc" id="aa04854_html"><div class="ttname"><a href="../../d1/de3/a04854.html">ActionTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00016">actiontargets.c:17</a></div></div>
<div class="ttc" id="aa04914_html_aa5fbc09850397f7b1bafb34ec16632fd"><div class="ttname"><a href="../../df/df6/a04914.html#aa5fbc09850397f7b1bafb34ec16632fd">DayZPlayerImplement::GetCommand_ExpansionVehicle</a></div><div class="ttdeci">ExpansionHumanCommandVehicle GetCommand_ExpansionVehicle()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dd7/a09286_source.html#l00020">dayzplayerimplement.c:20</a></div></div>
<div class="ttc" id="aa07466_html"><div class="ttname"><a href="../../db/d86/a07466.html">ExpansionActionSwitchSeats</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d5d/a02900_source.html#l00013">expansionactionswitchseats.c:14</a></div></div>
<div class="ttc" id="aa07466_html_a065effa85f75b483f6105b357e5c2268"><div class="ttname"><a href="../../db/d86/a07466.html#a065effa85f75b483f6105b357e5c2268">ExpansionActionSwitchSeats::ExpansionActionSwitchSeats</a></div><div class="ttdeci">void ExpansionActionSwitchSeats()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d5d/a02900_source.html#l00015">expansionactionswitchseats.c:15</a></div></div>
<div class="ttc" id="aa07466_html_a7d7dba61d3f61b10b11471784168497f"><div class="ttname"><a href="../../db/d86/a07466.html#a7d7dba61d3f61b10b11471784168497f">ExpansionActionSwitchSeats::OnUpdate</a></div><div class="ttdeci">override void OnUpdate(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d5d/a02900_source.html#l00093">expansionactionswitchseats.c:93</a></div></div>
<div class="ttc" id="aa07466_html_ab65fc637a3649c953d096cdbd54bd67a"><div class="ttname"><a href="../../db/d86/a07466.html#ab65fc637a3649c953d096cdbd54bd67a">ExpansionActionSwitchSeats::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d5d/a02900_source.html#l00023">expansionactionswitchseats.c:23</a></div></div>
<div class="ttc" id="aa07466_html_addeeb0ba7da3213d13f456d794fc51a4"><div class="ttname"><a href="../../db/d86/a07466.html#addeeb0ba7da3213d13f456d794fc51a4">ExpansionActionSwitchSeats::Start</a></div><div class="ttdeci">override void Start(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d5d/a02900_source.html#l00068">expansionactionswitchseats.c:68</a></div></div>
<div class="ttc" id="aa07466_html_ae73896e70c4a84246e30d4b5c9731c24"><div class="ttname"><a href="../../db/d86/a07466.html#ae73896e70c4a84246e30d4b5c9731c24">ExpansionActionSwitchSeats::GetText</a></div><div class="ttdeci">override string GetText()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d5d/a02900_source.html#l00029">expansionactionswitchseats.c:29</a></div></div>
<div class="ttc" id="aa07466_html_af8071afe4c4345ecc4968cd228202145"><div class="ttname"><a href="../../db/d86/a07466.html#af8071afe4c4345ecc4968cd228202145">ExpansionActionSwitchSeats::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d5d/a02900_source.html#l00034">expansionactionswitchseats.c:34</a></div></div>
<div class="ttc" id="aa07466_html_af878606c883411c01bd2acc54ee0032d"><div class="ttname"><a href="../../db/d86/a07466.html#af878606c883411c01bd2acc54ee0032d">ExpansionActionSwitchSeats::CanBeUsedInVehicle</a></div><div class="ttdeci">override bool CanBeUsedInVehicle()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d5d/a02900_source.html#l00105">expansionactionswitchseats.c:105</a></div></div>
<div class="ttc" id="aa07746_html"><div class="ttname"><a href="../../d6/dac/a07746.html">ExpansionVehicleBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/db1/a03098_source.html#l00017">expansionvehiclebikebase.c:18</a></div></div>
<div class="ttc" id="aa07746_html_ace02afa8ba39a7e47d18431345d31681"><div class="ttname"><a href="../../d6/dac/a07746.html#ace02afa8ba39a7e47d18431345d31681">ExpansionVehicleBase::GetSeatAnimationType</a></div><div class="ttdeci">override int GetSeatAnimationType(int posIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/db1/a03098_source.html#l00076">expansionvehiclebikebase.c:76</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_403148263ee4e8f0781f7c219c37e738.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../dir_73552948bc6e6c947ae98efa6ef1fc72.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_c3648096b79390b8f298110e534a6ba9.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_0df2f0f75bfab0aa29ae62af7848909b.html">dayzexpansion_vehicles</a></li><li class="navelem"><a class="el" href="../../dir_9d8a725e685d7e2e79ef3720909cf5b7.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_bdf590611e398cb162e788e5239471a6.html">useractionscomponent</a></li><li class="navelem"><a class="el" href="../../dir_bed0f916786f5b73767adc31cd2f6bb1.html">actions</a></li><li class="navelem"><a class="el" href="../../dir_da39e728d9df6d81c5d75863dbc971f4.html">singleuse</a></li><li class="navelem"><a class="el" href="../../d3/d5d/a02900.html">expansionactionswitchseats.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
